Skip to main content
PATCH
/
v1
/
ach
/
{ach_id}
Update an ACH
curl --request PATCH \
  --url https://api.sandbox.lead.bank/v1/ach/{ach_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "metadata": {}
}'
{
  "id": "ach_xyz001",
  "created_at": "2022-06-27T11:22:33Z",
  "updated_at": "2022-06-27T11:22:33Z",
  "status": "submitted",
  "amount": 5000,
  "account_id": "account_xyz123",
  "account_number_id": "account_number_xyz123",
  "direction": "outgoing",
  "delivery_type": "same_business_day",
  "transaction_type": "credit",
  "sec_code": "WEB",
  "currency_code": "USD",
  "statement_descriptor": "P2P Credit",
  "record_details": {
    "company_name": "Acme Inc.",
    "company_id": "1234",
    "company_discretionary_data": "Acme Inc.",
    "effective_date": "2022-06-27",
    "settlement_date": "2022-06-27",
    "individual_id": "<string>",
    "receiver_name": "<string>",
    "descriptive_date": "220627",
    "additional_information": "<string>",
    "trace_number": "123456789012345"
  },
  "counterparty": {
    "name": "Lara Smikle",
    "account_number": "1032345678",
    "routing_number": "021000021",
    "account_type": "checking"
  },
  "returns": [
    {
      "type": "return",
      "status": "submitted",
      "return_code": "R02",
      "return_reason": "<string>",
      "trace_number": "123456789012345",
      "additional_information": "<string>"
    }
  ],
  "reversal": {
    "reversal_reason": "duplicate",
    "linked_ach_id": "<string>"
  },
  "rejection": {
    "reason": "account_number_status",
    "details": "Account number account_123 is inactive."
  },
  "correction": {
    "account_number": "1032345678",
    "routing_number": "021000021",
    "account_type": "checking"
  },
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Idempotency key

Maximum string length: 255

Path Parameters

ach_id
string
required

ID of the ACH object you want to update.

Pattern: ^ach_\w+$

Body

application/json
metadata
object
required

A set of key-value pairs that can be used to store additional information related to this object.

Response

The updated ACH object.

id
string

id of the ACH object

Pattern: ^ach_\w+$
Example:

"ach_xyz001"

created_at
string<date-time>

The ISO-8601 timestamp at which the ACH object was created.

Example:

"2022-06-27T11:22:33Z"

updated_at
string<date-time>

The ISO-8601 timestamp at which the ACH object was last updated.

Example:

"2022-06-27T11:22:33Z"

status
enum<string>

The current status of the ACH object.

Available options:
scheduled,
processing,
submitted,
posted,
canceled,
under_review,
approved,
rejected,
pending_return,
returned
Example:

"submitted"

amount
integer<int64>

The amount of the transaction in cents.

Required range: 0 <= x <= 9900000000
Example:

5000

account_id
string

The ID of the Account object.

Pattern: ^account_\w+$
Example:

"account_xyz123"

account_number_id
string

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

direction
enum<string>

Who is initiating the transaction.

outgoing: You are sending a transaction to a counterparty. incoming: You are receiving a transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"outgoing"

delivery_type
enum<string>

How fast you want the counterparty to receive the ACH.

  • same_business_day: if the ACH request is submitted before the cutoff window with the same business day option, funds will settle on the same day. 
  • next_business_day: standard ACH processing, for funds to settle on the next business day.
Available options:
same_business_day,
next_business_day
Example:

"same_business_day"

transaction_type
enum<string>

ACH transaction type.

Available options:
credit,
debit
Example:

"credit"

sec_code
enum<string>

Standard Entry Class (SEC) code to use for this ACH object.

Lead currently only supports CCD, PPD, WEB, and TEL for outgoing ACHes.

Available options:
PPD,
CCD,
ARC,
BOC,
CIE,
CTX,
IAT,
POP,
POS,
RCK,
TEL,
WEB,
ADV,
DNE,
ENR,
MTE,
SHR,
TRC,
TRX,
COR
Example:

"WEB"

currency_code
enum<string>

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

statement_descriptor
string

The description you would like to appear on your customers’ statement. Maximum number of characters is 10.

Required string length: 1 - 10
Pattern: ^(?!0+$)(?! +$)[\x20-\x7E]*$
Example:

"P2P Credit"

record_details
object
counterparty
object

The details of the counterparty you are sending/receiving money from.

returns
object[]

Associated returns.

reversal
object

A reversal associated with this object.

rejection
object
correction
object

The corrected counterparty details.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.